package ee.jsfchat;

import jakarta.annotation.PostConstruct;
import jakarta.enterprise.context.ApplicationScoped;
import jakarta.inject.Inject;
import jakarta.inject.Named;

import java.util.ArrayList;
import java.util.List;

@Named
@ApplicationScoped
public class ChatText {
    @PostConstruct
    public void init() {
        lines = new ArrayList<String>();
    }
    @Inject
    Chat chatC;
    List<String> lines;
    private int count = 0;
    public String getTextLines()
    {
        StringBuilder sb = new StringBuilder();

        for (String ln: lines)
        {
            sb.append(ln);
            sb.append("\n");
        }

        return sb.toString();
    }

    public void setNewLine(String line)
    {
        count++;
        lines.add(chatC.getUserName() +": "+count +": " + line);
    }

    public String getNewLine()
    {
        return "";
    }
}
